Snooze Product by Tag

Purpose

Mark products out of stock for a certain amount of time based on their tag and store location.

Snoozing

When snoozing the a snoozeStart isn't required as the current time is default. A snoozeEnd time should be specified with a timestamp in the future which determines how long the item will remain in the snoozed state

Un-snoozing

Items will automatically become unsnoozed at the specified snoozeEnd time. To un-snooze before this time is reached, you can set a snoozeEnd timestamp with the current time or a time in the past

{
  "account": "62********************2g",
  "location": "62********************9k",
  "plus": [
    "PLU_1",
    "PLU_2"
  ],
  "snoozeEnd": "YYYY-MM-DDTHH:mm:ss.SSSSSSZ"
}

UTC Time Format
Time format is in UTC yyyy-MM-ddTHH:mm:ssZ (all time values in our API are in UTC time as per ISO8601)

Body Params
string
required

accountId is the unique identifier of the customer account in Deliverect

string
required

locationId is the unique identifier of a physical restaurant location, store, or kitchen

tag
array of integers
required

(See link here to GET Allergens and Tags)

tag*
string
required
string
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain